#!/usr/bin/env bash

if [ -z "${1+xxx}" ]; then
	out="."
else
	out="$1"
fi

mkdir -p $out

# Generate configs
awk \
	-f parts/gen_conceal.awk \
	parts/conceal_defs \
	> "$out/conceal.vim"


# Make one config file.
# Order matters.
cat \
	parts/defaults.vim \
	parts/colors.vim \
	parts/main.vim \
	"$out/conceal.vim" \
	> $out/vimrc

# Cleanup
rm "$out/conceal.vim"